| http://www.sim.no/ http://www.coin3d.org/

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
SoPathList Class Reference
Miscellaneous Classes

The SoPathList class is a container for pointers to SoPath objects.As this class inherits SoBaseList, referencing and dereferencing will default be done on the objects at append(), remove(), insert() etc. More...

`#include <Inventor/lists/SoPathList.h>`

Inheritance diagram for SoPathList:

## Public Member Functions

| SoPathList (void)
| SoPathList (const int size)
| SoPathList (const SoPathList &pl)
| ~SoPathList ()
void | append (SoPath *const path)
SoPath * | operator[] (const int i) const
SoPathList & | operator= (const SoPathList &pl)
int | findPath (const SoPath &path) const
void | sort (void)
void | uniquify (void)
Public Member Functions inherited from SoBaseList
| SoBaseList (void)
| SoBaseList (const int size)
| SoBaseList (const SoBaseList &l)
| ~SoBaseList ()
void | append (SoBase *ptr)
void | insert (SoBase *ptr, const int addbefore)
void | remove (const int index)
void | removeItem (SoBase *item)
void | truncate (const int length)
void | copy (const SoBaseList &l)
SoBaseList & | operator= (const SoBaseList &l)
SoBase * | operator[] (const int i) const
void | set (const int i, SoBase *const ptr)
void | addReferences (const SbBool flag)
SbBool | isReferencing (void) const
Public Member Functions inherited from SbPList
| SbPList (const int sizehint=DEFAULTSIZE)
| SbPList (const SbPList &l)
| ~SbPList ()
void | copy (const SbPList &l)
SbPList & | operator= (const SbPList &l)
void | fit (void)
void | append (void *item)
int | find (void *item) const
void | insert (void *item, const int insertbefore)
void | removeItem (void *item)
void | remove (const int index)
void | removeFast (const int index)
int | getLength (void) const
void | truncate (const int length, const int fit=0)
void ** | getArrayPtr (const int start=0) const
void *& | operator[] (const int index) const
int | operator== (const SbPList &l) const
int | operator!= (const SbPList &l) const
void * | get (const int index) const
void | set (const int index, void *item)

## Additional Inherited Members

Protected Member Functions inherited from SbPList
void | expand (const int size)
int | getArraySize (void) const

## Detailed Description

The SoPathList class is a container for pointers to SoPath objects.

As this class inherits SoBaseList, referencing and dereferencing will default be done on the objects at append(), remove(), insert() etc.

## Constructor & Destructor Documentation

SoPathList::SoPathList | ( | void | ) |  |

Default constructor.

SoPathList::SoPathList | ( | const int | size) |  |

Constructor with a hint about the number of elements the list will hold.

See Also
  SoBaseList::SoBaseList(const int)

SoPathList::SoPathList | ( | const SoPathList & | pl) |  |

Copy constructor.

Does a shallow copy of the SoPath pointer values, but updates reference count.

See Also
  SoBaseList::SoBaseList(const SoBaseList &)

SoPathList::~SoPathList | ( | ) |  |

Destructor.

See Also
  SoBaseList::~SoBaseList()

## Member Function Documentation

void SoPathList::append | ( | SoPath *const | path) |  |

Append ptr to the list.

See Also
  SoBaseList::append()

SoPath * SoPathList::operator[] | ( | const int | i) |  | const

Return node pointer at index i.

See Also
  SoBaseList::operator[]()

SoPathList & SoPathList::operator= | ( | const SoPathList & | pl) |  |

Shallow copy of contents of list pl to this list.

See Also
  SoBaseList::operator=()

int SoPathList::findPath | ( | const SoPath & | path) |  | const

Find and return index of first item equal to path.

void SoPathList::sort | ( | void | ) |  |

Sort paths in list according to how early they are run into when traversing the scene graph.

void SoPathList::uniquify | ( | void | ) |  |

Removes identical paths and paths that go through the tail of another path.

Note that this method assumes the list to be in a sorted order.

See Also
  sort()

The documentation for this class was generated from the following files:

- SoPathList.h
- SoPathList.cpp

Copyright © 1998-2010 by Kongsberg Oil & Gas Technologies. All rights reserved.